com.r3corda.core.transactions / SignedTransaction / verifySignatures

# verifySignatures

`fun verifySignatures(vararg allowedToBeMissing: PublicKey): WireTransaction`

Verifies the signatures on this transaction and throws if any are missing which arent passed as parameters. In this context, "verifying" means checking they are valid signatures and that their public keys are in the contained transactions BaseTransaction.mustSign property.

Normally you would not provide any keys to this function, but if youre in the process of building a partial transaction and you want to access the contents before youve signed it, you can specify your own keys here to bypass that check.

### Exceptions

`SignatureException` - if any signatures are invalid or unrecognised.
`SignaturesMissingException` - if any signatures should have been present but were not.